"""
Sequences of 2 -> 3 and 3 -> 2 Pachner moves reducing certain
triangulations of the 3-sphere to the base triangulation 'cMcabbgdv'.
Only used by the test suite.
"""

move_db = {'K4a1':{'init_isosig':'xLLvLLMLzAwLQPQQcacgilmiopqmorpvutvsutwwwbkjutaoldartutknnrvfjhat',
                   'final_isosig':'cMcabbgdv',
                   'tri_data':[([3, 10, 5, 4], [(2, 1, 0, 3), (1, 2, 3, 0), (0, 2, 1, 3), (2, 3, 1, 0)]),
                               ([9, 8, 3, 2], [(2, 1, 0, 3), (1, 0, 2, 3), (0, 1, 3, 2), (1, 3, 0, 2)]),
                               ([4, 11, 1, 12], [(2, 1, 0, 3), (2, 3, 1, 0), (2, 0, 3, 1), (1, 3, 0, 2)]),
                               ([7, 12, 0, 1], [(2, 0, 3, 1), (2, 1, 0, 3), (2, 1, 0, 3), (0, 1, 3, 2)]),
                               ([0, 5, 2, 7], [(3, 2, 0, 1), (2, 0, 3, 1), (2, 1, 0, 3), (3, 1, 2, 0)]),
                               ([4, 0, 6, 6], [(1, 3, 0, 2), (0, 2, 1, 3), (0, 2, 1, 3), (3, 1, 2, 0)]),
                               ([5, 5, 14, 14], [(3, 1, 2, 0), (0, 2, 1, 3), (3, 2, 0, 1), (3, 2, 0, 1)]),
                               ([4, 13, 3, 9], [(3, 1, 2, 0), (3, 0, 1, 2), (1, 3, 0, 2), (2, 0, 3, 1)]),
                               ([1, 10, 13, 9], [(1, 0, 2, 3), (2, 0, 3, 1), (2, 3, 1, 0), (3, 1, 2, 0)]),
                               ([8, 7, 1, 11], [(3, 1, 2, 0), (1, 3, 0, 2), (2, 1, 0, 3), (2, 0, 3, 1)]),
                               ([8, 12, 0, 11], [(1, 3, 0, 2), (3, 0, 1, 2), (3, 0, 1, 2), (0, 1, 3, 2)]),
                               ([13, 9, 10, 2], [(3, 0, 1, 2), (1, 3, 0, 2), (0, 1, 3, 2), (3, 2, 0, 1)]),
                               ([10, 3, 2, 13], [(1, 2, 3, 0), (2, 1, 0, 3), (2, 0, 3, 1), (0, 1, 3, 2)]),
                               ([7, 8, 12, 11], [(1, 2, 3, 0), (3, 2, 0, 1), (0, 1, 3, 2), (1, 2, 3, 0)]),
                               ([6, 6, 14, 14], [(2, 3, 1, 0), (2, 3, 1, 0), (2, 0, 3, 1), (1, 3, 0, 2)])],
                   'moves':[('two_to_three', 9, 11, 0),
                            ('two_to_three', 6, 14, 4),
                            ('three_to_two', 12, 13, 11),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 6, 7, 10),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 3, 7, 12),
                            ('two_to_three', 3, 7, 13),
                            ('three_to_two', 6, 7, 11),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 3, 7, 7),
                            ('three_to_two', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 9, 11, 10),
                            ('three_to_two', 9, 11, 10),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 5, 7, 0),
                            ('three_to_two', 12, 13, 8),
                            ('three_to_two', 12, 13, 8),
                            ('three_to_two', 3, 7, 9),
                            ('two_to_three', 9, 11, 7),
                            ('two_to_three', 9, 11, 0),
                            ('three_to_two', 3, 7, 0),
                            ('three_to_two', 3, 7, 5),
                            ('three_to_two', 6, 14, 4),
                            ('three_to_two', 3, 7, 4),
                            ('three_to_two', 10, 14, 3),
                            ('two_to_three', 6, 14, 3),
                            ('three_to_two', 6, 7, 3),
                            ('two_to_three', 12, 13, 5),
                            ('three_to_two', 12, 13, 4),
                            ('two_to_three', 3, 7, 3),
                            ('three_to_two', 12, 13, 3),
                            ('three_to_two', 12, 13, 3),
                            ('three_to_two', 3, 7, 4),
                            ('two_to_three', 6, 14, 0),
                            ('two_to_three', 3, 7, 1),
                            ('two_to_three', 9, 11, 7),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 3, 7, 6),
                            ('three_to_two', 3, 11, 5),
                            ('three_to_two', 3, 7, 4),
                            ('three_to_two', 3, 7, 4),
                            ('three_to_two', 10, 14, 1),
                            ('three_to_two', 3, 7, 1),
                            ('three_to_two', 6, 14, 1),
                            ('two_to_three', 9, 11, 0),
                            ('two_to_three', 3, 7, 2),
                            ('two_to_three', 3, 7, 2),
                            ('two_to_three', 9, 11, 3),
                            ('three_to_two', 3, 11, 2),
                            ('two_to_three', 12, 13, 2),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 3, 7, 2),
                            ('two_to_three', 9, 11, 2),
                            ('three_to_two', 3, 11, 0),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 0),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 0),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 1),
                            ('two_to_three', 6, 7, 0),
                            ('three_to_two', 12, 13, 0),
                            ('three_to_two', 12, 13, 0),
                            ('three_to_two', 3, 7, 0)]},

           'K3a1':{'init_isosig':'uLAvLwvAMLQMPQcbcbgfkmjlqmnorqstrsttahkhqaaqctbbgaqiapckn',
                   'final_isosig':'cMcabbgdv',
                   'tri_data':[([11, 8, 12, 3], [(3, 1, 2, 0), (3, 0, 1, 2), (2, 0, 3, 1), (2, 1, 0, 3)]),
                               ([10, 13, 15, 14], [(2, 1, 0, 3), (3, 1, 2, 0), (0, 2, 1, 3), (2, 0, 3, 1)]),
                               ([17, 15, 14, 13], [(0, 1, 3, 2), (1, 0, 2, 3), (0, 1, 3, 2), (0, 1, 3, 2)]),
                               ([10, 6, 9, 0], [(0, 1, 3, 2), (1, 2, 3, 0), (3, 1, 2, 0), (2, 1, 0, 3)]),
                               ([6, 13, 10, 11], [(1, 0, 2, 3), (2, 3, 1, 0), (0, 2, 1, 3), (0, 3, 2, 1)]),
                               ([9, 18, 10, 14], [(3, 1, 2, 0), (2, 0, 3, 1), (0, 1, 3, 2), (3, 0, 1, 2)]),
                               ([8, 4, 3, 12], [(1, 2, 3, 0), (1, 0, 2, 3), (3, 0, 1, 2), (3, 1, 2, 0)]),
                               ([9, 13, 17, 11], [(0, 1, 3, 2), (1, 0, 2, 3), (1, 0, 2, 3), (3, 1, 2, 0)]),
                               ([0, 6, 17, 12], [(1, 2, 3, 0), (3, 0, 1, 2), (0, 2, 1, 3), (0, 3, 2, 1)]),
                               ([7, 14, 3, 5], [(0, 1, 3, 2), (1, 0, 2, 3), (3, 1, 2, 0), (3, 1, 2, 0)]),
                               ([3, 4, 1, 5], [(0, 1, 3, 2), (0, 2, 1, 3), (2, 1, 0, 3), (0, 1, 3, 2)]),
                               ([7, 4, 18, 0], [(3, 1, 2, 0), (0, 3, 2, 1), (2, 0, 3, 1), (3, 1, 2, 0)]),
                               ([6, 8, 18, 0], [(3, 1, 2, 0), (0, 3, 2, 1), (0, 2, 1, 3), (1, 3, 0, 2)]),
                               ([7, 1, 2, 4], [(1, 0, 2, 3), (3, 1, 2, 0), (0, 1, 3, 2), (3, 2, 0, 1)]),
                               ([9, 1, 5, 2], [(1, 0, 2, 3), (1, 3, 0, 2), (1, 2, 3, 0), (0, 1, 3, 2)]),
                               ([2, 1, 16, 16], [(1, 0, 2, 3), (0, 2, 1, 3), (0, 2, 1, 3), (3, 1, 2, 0)]),
                               ([15, 15, 19, 19], [(3, 1, 2, 0), (0, 2, 1, 3), (3, 2, 0, 1), (3, 2, 0, 1)]),
                               ([2, 8, 7, 18], [(0, 1, 3, 2), (0, 2, 1, 3), (1, 0, 2, 3), (0, 1, 3, 2)]),
                               ([5, 12, 17, 11], [(1, 3, 0, 2), (0, 2, 1, 3), (0, 1, 3, 2), (1, 3, 0, 2)]),
                               ([16, 16, 19, 19], [(2, 3, 1, 0), (2, 3, 1, 0), (2, 0, 3, 1), (1, 3, 0, 2)])],
                   'moves':[('two_to_three', 3, 11, 16),
                            ('two_to_three', 3, 11, 19),
                            ('two_to_three', 12, 14, 21),
                            ('three_to_two', 5, 13, 19),
                            ('three_to_two', 3, 7, 18),
                            ('three_to_two', 12, 14, 18),
                            ('two_to_three', 6, 14, 19),
                            ('three_to_two', 5, 7, 17),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 3, 11, 14),
                            ('three_to_two', 12, 13, 15),
                            ('three_to_two', 12, 13, 15),
                            ('three_to_two', 3, 7, 16),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 3, 7, 16),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 3, 7, 16),
                            ('two_to_three', 12, 13, 16),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 10, 11, 15),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 12, 13, 15),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 12, 13, 15),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 12, 13, 15),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 12, 13, 15),
                            ('two_to_three', 10, 14, 11),
                            ('three_to_two', 12, 13, 14),
                            ('three_to_two', 12, 13, 14),
                            ('two_to_three', 3, 7, 16),
                            ('three_to_two', 6, 7, 15),
                            ('two_to_three', 12, 13, 15),
                            ('three_to_two', 12, 13, 14),
                            ('two_to_three', 12, 13, 15),
                            ('three_to_two', 12, 13, 14),
                            ('two_to_three', 9, 13, 7),
                            ('three_to_two', 12, 13, 13),
                            ('three_to_two', 12, 13, 13),
                            ('three_to_two', 3, 7, 14),
                            ('two_to_three', 9, 11, 6),
                            ('three_to_two', 10, 14, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 5, 13, 3),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 3, 7, 12),
                            ('two_to_three', 9, 11, 7),
                            ('three_to_two', 10, 11, 6),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('three_to_two', 3, 7, 10),
                            ('three_to_two', 6, 14, 0),
                            ('three_to_two', 9, 11, 5),
                            ('three_to_two', 3, 7, 0),
                            ('three_to_two', 3, 7, 3),
                            ('three_to_two', 10, 14, 1),
                            ('two_to_three', 6, 14, 0),
                            ('three_to_two', 6, 14, 0),
                            ('two_to_three', 3, 7, 4),
                            ('three_to_two', 6, 7, 3),
                            ('two_to_three', 12, 13, 4),
                            ('three_to_two', 12, 13, 3),
                            ('two_to_three', 12, 13, 4),
                            ('three_to_two', 12, 13, 3),
                            ('two_to_three', 6, 7, 0),
                            ('three_to_two', 12, 13, 2),
                            ('three_to_two', 12, 13, 2),
                            ('three_to_two', 3, 7, 3),
                            ('two_to_three', 9, 11, 4),
                            ('three_to_two', 10, 11, 0),
                            ('two_to_three', 9, 13, 0),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 3, 7, 1),
                            ('three_to_two', 12, 14, 0)]},

           'K5a1':{'init_isosig':'vLAvvLLAwwQMAQQbcbiikmjpnsrrnqpstrtuuahkjjjmourfvvcvojmctsj',
                   'final_isosig':'cMcabbgdv',
                   'tri_data':[([14, 19, 12, 2], [(0, 2, 1, 3), (2, 3, 1, 0), (0, 2, 1, 3), (0, 3, 2, 1)]),
                               ([6, 8, 5, 9], [(0, 1, 3, 2), (0, 1, 3, 2), (0, 3, 2, 1), (2, 3, 1, 0)]),
                               ([3, 0, 6, 17], [(1, 0, 2, 3), (0, 3, 2, 1), (0, 2, 1, 3), (2, 0, 3, 1)]),
                               ([18, 2, 8, 15], [(3, 1, 2, 0), (1, 0, 2, 3), (2, 1, 0, 3), (3, 1, 2, 0)]),
                               ([7, 5, 8, 13], [(3, 1, 2, 0), (0, 3, 2, 1), (0, 1, 3, 2), (2, 0, 3, 1)]),
                               ([12, 16, 1, 4], [(0, 2, 1, 3), (2, 1, 0, 3), (0, 3, 2, 1), (0, 3, 2, 1)]),
                               ([1, 2, 12, 14], [(0, 1, 3, 2), (0, 2, 1, 3), (0, 1, 3, 2), (0, 3, 2, 1)]),
                               ([7, 7, 15, 4], [(1, 0, 2, 3), (1, 0, 2, 3), (3, 1, 2, 0), (3, 1, 2, 0)]),
                               ([3, 1, 11, 4], [(2, 1, 0, 3), (0, 1, 3, 2), (1, 0, 2, 3), (0, 1, 3, 2)]),
                               ([1, 13, 10, 10], [(3, 2, 0, 1), (3, 2, 0, 1), (0, 2, 1, 3), (3, 1, 2, 0)]),
                               ([9, 9, 20, 20], [(3, 1, 2, 0), (0, 2, 1, 3), (3, 2, 0, 1), (3, 2, 0, 1)]),
                               ([15, 17, 8, 12], [(1, 0, 2, 3), (1, 2, 3, 0), (1, 0, 2, 3), (0, 1, 3, 2)]),
                               ([5, 0, 11, 6], [(0, 2, 1, 3), (0, 2, 1, 3), (0, 1, 3, 2), (0, 1, 3, 2)]),
                               ([16, 4, 9, 14], [(3, 1, 2, 0), (1, 3, 0, 2), (2, 3, 1, 0), (0, 1, 3, 2)]),
                               ([0, 6, 13, 18], [(0, 2, 1, 3), (0, 3, 2, 1), (0, 1, 3, 2), (3, 2, 0, 1)]),
                               ([3, 11, 7, 16], [(3, 1, 2, 0), (1, 0, 2, 3), (3, 1, 2, 0), (0, 1, 3, 2)]),
                               ([18, 5, 15, 13], [(0, 1, 3, 2), (2, 1, 0, 3), (0, 1, 3, 2), (3, 1, 2, 0)]),
                               ([19, 2, 11, 18], [(1, 2, 3, 0), (1, 3, 0, 2), (3, 0, 1, 2), (0, 1, 3, 2)]),
                               ([16, 14, 17, 3], [(0, 1, 3, 2), (2, 3, 1, 0), (0, 1, 3, 2), (3, 1, 2, 0)]),
                               ([19, 17, 19, 0], [(2, 3, 1, 0), (3, 0, 1, 2), (3, 2, 0, 1), (3, 2, 0, 1)]),
                               ([10, 10, 20, 20], [(2, 3, 1, 0), (2, 3, 1, 0), (2, 0, 3, 1), (1, 3, 0, 2)])],
                   'moves':[('two_to_three', 9, 11, 7),
                            ('three_to_two', 3, 7, 19),
                            ('two_to_three', 3, 11, 9),
                            ('two_to_three', 3, 11, 20),
                            ('two_to_three', 12, 14, 22),
                            ('three_to_two', 5, 13, 20),
                            ('three_to_two', 3, 7, 19),
                            ('three_to_two', 12, 14, 19),
                            ('two_to_three', 6, 14, 20),
                            ('three_to_two', 5, 7, 18),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 18),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 18),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 3, 11, 11),
                            ('three_to_two', 12, 13, 16),
                            ('three_to_two', 12, 13, 16),
                            ('three_to_two', 3, 7, 17),
                            ('two_to_three', 6, 14, 12),
                            ('three_to_two', 3, 7, 17),
                            ('two_to_three', 12, 13, 15),
                            ('two_to_three', 6, 14, 15),
                            ('three_to_two', 3, 7, 15),
                            ('three_to_two', 3, 7, 15),
                            ('two_to_three', 12, 13, 15),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 6, 14, 17),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 17),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 12, 13, 17),
                            ('three_to_two', 12, 13, 16),
                            ('two_to_three', 6, 14, 11),
                            ('three_to_two', 12, 13, 15),
                            ('three_to_two', 12, 13, 15),
                            ('three_to_two', 3, 7, 16),
                            ('two_to_three', 9, 11, 8),
                            ('three_to_two', 3, 7, 16),
                            ('three_to_two', 5, 13, 2),
                            ('three_to_two', 9, 11, 5),
                            ('two_to_three', 12, 13, 11),
                            ('two_to_three', 12, 13, 16),
                            ('three_to_two', 10, 11, 13),
                            ('two_to_three', 12, 13, 14),
                            ('three_to_two', 12, 13, 13),
                            ('two_to_three', 12, 13, 14),
                            ('three_to_two', 12, 13, 13),
                            ('two_to_three', 12, 13, 14),
                            ('three_to_two', 12, 13, 13),
                            ('two_to_three', 10, 14, 10),
                            ('three_to_two', 12, 13, 12),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 12),
                            ('three_to_two', 6, 14, 13),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 12, 13, 13),
                            ('three_to_two', 12, 13, 12),
                            ('two_to_three', 6, 14, 8),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 12, 13, 11),
                            ('three_to_two', 3, 7, 12),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 10, 11, 9),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 11),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 11),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 10, 11, 6),
                            ('three_to_two', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('three_to_two', 3, 7, 10),
                            ('two_to_three', 12, 13, 1),
                            ('two_to_three', 12, 13, 12),
                            ('three_to_two', 10, 11, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 10),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 10),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 10, 14, 1),
                            ('three_to_two', 12, 13, 8),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 3, 7, 10),
                            ('three_to_two', 6, 7, 9),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 9),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 12, 13, 9),
                            ('three_to_two', 12, 13, 8),
                            ('two_to_three', 3, 11, 1),
                            ('three_to_two', 12, 13, 7),
                            ('three_to_two', 12, 13, 7),
                            ('three_to_two', 3, 7, 8),
                            ('two_to_three', 3, 7, 9),
                            ('three_to_two', 6, 7, 7),
                            ('two_to_three', 12, 13, 7),
                            ('three_to_two', 12, 13, 6),
                            ('two_to_three', 3, 11, 1),
                            ('three_to_two', 12, 13, 5),
                            ('three_to_two', 12, 13, 5),
                            ('three_to_two', 3, 7, 6),
                            ('two_to_three', 9, 11, 4),
                            ('three_to_two', 9, 13, 0),
                            ('two_to_three', 12, 13, 5),
                            ('three_to_two', 12, 13, 4),
                            ('two_to_three', 12, 13, 5),
                            ('three_to_two', 12, 13, 4),
                            ('two_to_three', 12, 13, 5),
                            ('three_to_two', 12, 13, 4),
                            ('two_to_three', 6, 14, 1),
                            ('three_to_two', 12, 13, 3),
                            ('three_to_two', 12, 13, 3),
                            ('three_to_two', 3, 7, 4),
                            ('two_to_three', 6, 14, 2),
                            ('three_to_two', 5, 7, 1),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 3),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 3),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 2),
                            ('two_to_three', 12, 13, 3),
                            ('three_to_two', 12, 13, 3),
                            ('two_to_three', 3, 7, 0),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 12, 13, 1),
                            ('three_to_two', 3, 7, 2),
                            ('three_to_two', 6, 14, 0),
                            ('two_to_three', 6, 14, 2),
                            ('three_to_two', 3, 7, 1),
                            ('two_to_three', 6, 14, 1),
                            ('three_to_two', 10, 14, 0),
                            ('two_to_three', 9, 11, 0),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 6, 14, 1),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 1),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 0),
                            ('two_to_three', 12, 13, 2),
                            ('two_to_three', 10, 11, 3),
                            ('two_to_three', 10, 14, 2),
                            ('three_to_two', 5, 13, 2),
                            ('three_to_two', 3, 7, 2),
                            ('three_to_two', 12, 14, 2),
                            ('two_to_three', 12, 13, 2),
                            ('three_to_two', 10, 11, 1),
                            ('two_to_three', 12, 13, 1),
                            ('three_to_two', 12, 13, 0),
                            ('two_to_three', 10, 11, 0),
                            ('three_to_two', 12, 13, 0),
                            ('three_to_two', 12, 13, 0),
                            ('three_to_two', 3, 7, 0)]}
}
